petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecScatterGetMerged

Returns true if the scatter is completed in the VecScatterBegin() and the VecScatterEnd() does nothing

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecScatterGetMerged(VecScatter ctx,PetscBool  *flg)

Not Collective Many br

### Input Parameter

ctx -scatter context created with VecScatterCreate() Many br

### Output Parameter

flg -PETSC_TRUE if the VecScatterBegin/End() are all done during the VecScatterBegin() Many br

Many br

### See Also

VecScatterCreate(), VecScatterEnd(), VecScatterBegin()

Level:developer
Location:src/vec/vec/utils/vscat.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages